- Detection - Measurement >
- Electrical Measurements >
- Insulation resistance tester
Insulation resistance testers
... GM-5K Insulation Resistance Meter is used for measuring resistance value of insulation materials, insulation resistance of transformer, motor, cable, ...
... S600 is a multi-functional tester which combines the functions of fiber tester and copper tester. With 1 machine, the operators can solve all the telecom testings tasks. S600 supports ADSL/VDSL/VDSL2 ...
Shandong Senter Electronic Co., Ltd
... channels) expansion box ■ Support AC 5000V, DC 6000V, Insulation Resistance 12GΩ MICROTEST 7631 is a 3-in-1 test instrument that supports AC withstand voltage, DC withstand voltage, and insulation ...
Microtest Corporation
... 20mA AC Hipot, 6kV @ 5mA DC Hipot, Insulation Resistance, 40A AC Ground Bond Tester, CE Listed Our 446 model is a 4-in-1 tester with AC Hipot, DC Hipot, Insulation ...
SCI
... DMG2671 Digital Insulation Tester Application:it can be used for measuring insulation resistance of insulation materials as well as various electric equipments ,such ...
... HD3122 Insulation Resistance Tester is suitable for measuring the resistance of various insulating materials and the insulation resistance of transformers, ...
... •DSL Physical layer test •PPPoE Dialing (RFC 1683, RFC2684, RFC2516) •Telephone Function •Ping Function (WAN&LAN) •Setup System Parameter: backlight time, shut off automatically time without operation, press tone •Check Dangerous Voltage •Visual ...
... measure changes in Surface Insulation Resistance. The new AutoSIR2+™ system represents a dramatic improvement over existing SIR test alternatives, and its shielded precision electronics allows state-of-the-art accuracy ...
... installation before it is placed in service ● To read insulation resistance ( leakage ) to 20,000 MΩ with 15 VDC ● To measure the deviation of installed gage resistance from precise standard to a resolution ...
... GD3126B 10kV Insulation Resistance Tester Product Description GD3126B Insulation Resistance Tester is widely used in maintenance of electrical ...
the best suppliers
Subscribe to our newsletter
Receive updates on this section every two weeks.
Please refer to our Privacy Policy for details on how DirectIndustry processes your personal data.